Retrieves a user week approval with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_week_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| approved_date_start |
Starting date of the approved range |
date |
Required |
| approved_date_end |
Ending date of the approved range |
date |
Required |
| date_approval |
Date+Time when the approval occured |
date |
Required |
| is_approved |
Indicate if the selection (range) is approved |
boolean |
Required |
| approved_by_user_id |
Foreign key of user,who did the approval |
globally unique identifier |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "86d411fd-8774-4de0-a618-83eb009aa248",
"user_id": "d4d23e99-fdbb-46a1-b03d-50c3c8b442c4",
"approved_date_start": "2026-11-02T20:33:36.5645437+00:00",
"approved_date_end": "2026-11-02T20:33:36.5645437+00:00",
"date_approval": "2026-11-02T20:33:36.5645437+00:00",
"is_approved": true,
"approved_by_user_id": "c2ab5ea8-1808-44cc-964f-96ae2107caf0",
"modified_dateutc": "2026-11-02T20:33:36.5645437+00:00"
}